# BlockchainConsensusAlgorithm

## 介绍
使用 `Python` 实现了区块链的 `DPOS` 和 `POW` 共识算法，并使用 `Flask` 框架编写了 `API` 接口

## 获取项目
```shell
git clone -b main --depth 1 https://git.intpointer.com/Anchor-x/BlockchainConsensusAlgorithm.git
```

## 项目启动

### 安装依赖

使用 `miniconda` 进行环境管理
```shell
conda create -n BlockchainConsensusAlgorithm python=3.12.3
```

```shell
pip install -r requirements.txt
```

### 运行

#### DPOS
```shell
cd DPOS
python dpos_api.py
```

#### POW
```shell
cd POW
python pow_api.py
```

## 测试
使用 `ApiFox` 进行测试或使用

